Package org.apache.torque.manager

## Class TestPersistent

- java.lang.Object
- - org.apache.torque.manager.TestPersistent

- All Implemented Interfaces:
    `Serializable`, `ObjectModel`, `Persistent`

      public class TestPersistent
      extends Object
      implements Persistent, Serializable

  Dummy Persistent implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestPersistent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectKey<?>` | `getPrimaryKey()` |
    `boolean` | `isModified()` |
    `boolean` | `isNew()` |
    `void` | `save()` |
    `void` | `save​(String dbName)` |
    `void` | `save​(Connection con)` |
    `void` | `setModified​(boolean m)` |
    `void` | `setNew​(boolean b)` |
    `void` | `setPrimaryKey​(String primaryKey)` |
    `void` | `setPrimaryKey​(ObjectKey<?> primaryKey)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestPersistent

          public TestPersistent()

  - ### Method Detail

    - #### getPrimaryKey

          public ObjectKey<?> getPrimaryKey()

      Specified by:
        `getPrimaryKey` in interface `ObjectModel`
      See Also:
        `ObjectModel.getPrimaryKey()`

    - #### setPrimaryKey

          public void setPrimaryKey​(ObjectKey<?> primaryKey)
                             throws TorqueException

      Specified by:
        `setPrimaryKey` in interface `ObjectModel`
      Throws:
        `TorqueException`
      See Also:
        `ObjectModel.setPrimaryKey(org.apache.torque.om.ObjectKey)`

    - #### setPrimaryKey

          public void setPrimaryKey​(String primaryKey)
                             throws TorqueException

      Specified by:
        `setPrimaryKey` in interface `ObjectModel`
      Throws:
        `TorqueException`
      See Also:
        `ObjectModel.setPrimaryKey(java.lang.String)`

    - #### isModified

          public boolean isModified()

      Specified by:
        `isModified` in interface `ObjectModel`
      See Also:
        `ObjectModel.isModified()`

    - #### isNew

          public boolean isNew()

      Specified by:
        `isNew` in interface `ObjectModel`
      See Also:
        `ObjectModel.isNew()`

    - #### setNew

          public void setNew​(boolean b)

      Specified by:
        `setNew` in interface `ObjectModel`
      See Also:
        `ObjectModel.setNew(boolean)`

    - #### setModified

          public void setModified​(boolean m)

      Specified by:
        `setModified` in interface `ObjectModel`
      See Also:
        `ObjectModel.setModified(boolean)`

    - #### save

          public void save()
                    throws Exception

      Specified by:
        `save` in interface `Persistent`
      Throws:
        `Exception`
      See Also:
        `Persistent.save()`

    - #### save

          public void save​(String dbName)
                    throws Exception

      Specified by:
        `save` in interface `Persistent`
      Throws:
        `Exception`
      See Also:
        `Persistent.save(java.lang.String)`

    - #### save

          public void save​(Connection con)
                    throws Exception

      Specified by:
        `save` in interface `Persistent`
      Throws:
        `Exception`
      See Also:
        `Persistent.save(java.sql.Connection)`